summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andreas Voegele2018-07-09 17:24:16 +0200
committer David Spencer2018-07-09 17:24:16 +0200
commit220151815871b19af20616514fd53c61df63fca6 (patch)
treecaaa4359daaa3dd51fb12e59356b1af4007d075b
parent2d33d43d50310b41073b29679a87a502554c7e40 (diff)
downloadslackbuilds-220151815871b19af20616514fd53c61df63fca6.tar.gz
perl/MoarVM: Added (virtual machine for Rakudo Perl 6 and NQP).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--perl/MoarVM/MoarVM.SlackBuild115
-rw-r--r--perl/MoarVM/MoarVM.info10
-rw-r--r--perl/MoarVM/README3
-rw-r--r--perl/MoarVM/slack-desc19
4 files changed, 147 insertions, 0 deletions
diff --git a/perl/MoarVM/MoarVM.SlackBuild b/perl/MoarVM/MoarVM.SlackBuild
new file mode 100644
index 0000000000..283caa8d02
--- /dev/null
+++ b/perl/MoarVM/MoarVM.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for MoarVM
+
+# Copyright 2018 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=MoarVM
+VERSION=${VERSION:-2018.06}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if pkg-config --exists atomic_ops; then
+ HAS_LIBATOMIC_OPS="--has-libatomic_ops"
+else
+ echo "Warning: gc not installed"
+fi
+
+if pkg-config --exists libffi; then
+ HAS_LIBFFI="--has-libffi"
+else
+ echo "Warning: libffi not installed"
+fi
+
+if pkg-config --exists libtommath; then
+ HAS_LIBTOMMATH="--has-libtommath"
+else
+ echo "Warning: libtommath not installed"
+fi
+
+if pkg-config --exists libuv; then
+ HAS_LIBUV="--has-libuv"
+else
+ echo "Warning: libuv not installed"
+fi
+
+perl Configure.pl \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mastdir=/usr/share/nqp/lib/MAST \
+ $HAS_LIBATOMIC_OPS \
+ $HAS_LIBFFI \
+ $HAS_LIBTOMMATH \
+ $HAS_LIBUV
+
+make
+make install DESTDIR=$PKG PKGCONFIGDIR=/usr/lib$LIBDIRSUFFIX/pkgconfig
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Artistic2.txt CREDITS LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/MoarVM/MoarVM.info b/perl/MoarVM/MoarVM.info
new file mode 100644
index 0000000000..473908e896
--- /dev/null
+++ b/perl/MoarVM/MoarVM.info
@@ -0,0 +1,10 @@
+PRGNAM="MoarVM"
+VERSION="2018.06"
+HOMEPAGE="https://moarvm.org/"
+DOWNLOAD="https://moarvm.org/releases/MoarVM-2018.06.tar.gz"
+MD5SUM="24ff917c459d780e509e53ff61a08dac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libtommath libuv"
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/perl/MoarVM/README b/perl/MoarVM/README
new file mode 100644
index 0000000000..ee48170b1b
--- /dev/null
+++ b/perl/MoarVM/README
@@ -0,0 +1,3 @@
+MoarVM, short for "Metamodel On A Runtime Virtual Machine", is a modern
+virtual machine built for the Rakudo Perl 6 compiler and the NQP
+compiler toolchain.
diff --git a/perl/MoarVM/slack-desc b/perl/MoarVM/slack-desc
new file mode 100644
index 0000000000..b6cc461383
--- /dev/null
+++ b/perl/MoarVM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+MoarVM: MoarVM (virtual machine for Rakudo Perl 6 and NQP)
+MoarVM:
+MoarVM: MoarVM, short for "Metamodel On A Runtime Virtual Machine", is a
+MoarVM: modern virtual machine built for the Rakudo Perl 6 compiler and the
+MoarVM: NQP compiler toolchain.
+MoarVM:
+MoarVM: Homepage: https://moarvm.org/
+MoarVM:
+MoarVM:
+MoarVM:
+MoarVM: